use macros::Responsable;
use serde::{Deserialize, Serialize};
use sqlx::types::JsonValue;

#[derive(Debug, Clone, Deserialize, Serialize, Responsable)]
pub struct LoginAccount {
    pub username: String,
    #[serde(skip_serializing_if = "Option::is_none", rename = "displayName")]
    pub display_name: Option<String>,
    #[serde(skip_serializing_if = "Option::is_none", rename = "avatarUrl")]
    pub avatar_url: Option<String>,
    pub metadata: JsonValue,
    pub wallet: JsonValue,
    #[serde(skip_serializing_if = "Option::is_none")]
    pub email: Option<String>,
    pub token: String,
    #[serde(rename = "refreshToken")]
    pub refresh_token: String,
}

#[derive(Debug, Clone, Deserialize, Serialize, Responsable)]
pub struct RefreshTokenResult {
    pub token: String,
    #[serde(rename = "refreshToken")]
    pub refresh_token: String,
}
